summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlastair Houghton <alastair@alastairs-place.net>2018-05-02 09:59:08 +0100
committerAlastair Houghton <alastair@alastairs-place.net>2018-05-02 09:59:08 +0100
commita7c8e4bff6d4c5361dae19fa659b44165722b614 (patch)
tree4d91f6900b57c4ac79624ca873c397db45ee0d6b
parent15c32c4c1382977a5a93628a0a33974aba3cf032 (diff)
downloadnetifaces-git-a7c8e4bff6d4c5361dae19fa659b44165722b614.tar.gz
Added a tool to fetch Windows wheels from Appveyorrelease_0_10_7
-rwxr-xr-xfetch-win32-wheels43
1 files changed, 43 insertions, 0 deletions
diff --git a/fetch-win32-wheels b/fetch-win32-wheels
new file mode 100755
index 0000000..5807235
--- /dev/null
+++ b/fetch-win32-wheels
@@ -0,0 +1,43 @@
+#!/bin/bash
+#
+# Fetch the Win32 wheels from Appveyor
+#
+if [ $# -lt 1 ]; then
+ echo "usage: fetch-win32-wheels <netifaces-version> [tag]"
+ exit 1;
+fi
+
+if [ $# -ge 2 ]; then
+ maybetag="tag=$2&"
+else
+ maybetag=
+fi
+
+niversion=$1
+artifact_url="https://ci.appveyor.com/api/projects/al45tair/netifaces/artifacts"
+win32_versions="27 34 35 36"
+amd64_versions="36"
+
+for version in $win32_versions; do
+ wheel=netifaces-$niversion-cp$version-cp${version}m-win32.whl
+ url="$artifact_url/dist/$wheel?${maybetag}job=Environment:%20PYTHON=C:\\Python$version"
+ echo -n "$wheel..."
+ if curl -s -L -o wheelhouse/$wheel $url; then
+ echo "ok"
+ else
+ echo "failed"
+ exit 1
+ fi
+done
+
+for version in $amd64_versions; do
+ wheel=netifaces-$niversion-cp$version-cp${version}m-win_amd64.whl
+ url="$artifact_url/dist/$wheel?${maybetag}job=Environment:%20PYTHON=C:\\Python$version-x64"
+ echo -n "$wheel..."
+ if curl -s -L -o wheelhouse/$wheel $url; then
+ echo "ok"
+ else
+ echo "failed"
+ exit 1
+ fi
+done